Subject: Unable to boot (segmentation fault error)

From: Adelphe Rafanambinana <[email-masked]>
Date: Mon, 29 Jan 2024 18:29:23 +0300

I have Alpine Linux 3.15 installed on a usb. Everything was running
properly for months until today. When I rebooted the system, it won't boot
with a "segmentation fault" error message. Please advise on how I can fix
it. Please find below the full message displayed on the screen:

boot:
segmentation fault
grep: /sysroot/etc/inittab: No such file or directory
/sbin/init not found in new root. Launching recovery shell
Type exit to continue boot.
sh: can't access tty; job  control turned off
/#

Thank you,
Adelphe Rafanambinana